(**************************************************************************************)
(*  'tils Lib - Librairie de composants divers                                        *)
(*  Copyright (C) 2003  U. Van Den Hekke                                              *)
(*                                                                                    *)
(*  This library is free software; you can redistribute it and/or                     *)
(*  modify it under the terms of the GNU Lesser General Public                        *)
(*  License as published by the Free Software Foundation; either                      *)
(*  version 2.1 of the License, or (at your option) any later version.                *)
(*                                                                                    *)
(*  This library is distributed in the hope that it will be useful,                   *)
(*  but WITHOUT ANY WARRANTY; without even the implied warranty of                    *)
(*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU                 *)
(*  Lesser General Public License for more details.                                   *)
(*                                                                                    *)
(*  You should have received a copy of the GNU Lesser General Public                  *)
(*  License along with this library; if not, write to the Free Software               *)
(*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA         *)
(**************************************************************************************)

unit AboutDlgType;

interface

uses Windows;

type
  TResourceParameter = record
    Instance : Cardinal;
    ResType  : PChar;
    case boolean of
      true : (ResName: PChar);
      false: (ResID  : LongInt);
  end;
  PResourceParameter = ^TResourceParameter;

{$IFNDEF ABOUTDLL}
procedure OpenAbout (const ApplicationExeName, Comment : PChar; const Bitmap : LongInt);
procedure OpenChildAbout (const ParentWindows: HWnd; const ApplicationExeName, Comment : PChar; const Bitmap : LongInt);
procedure OpenSysInfo(const ParentWindow: HWnd);
procedure OpenLicenceInfo(const ParentWindow: HWnd; const Res: PResourceParameter);
procedure OpenAbout2(const ParentWindow: HWnd; const ApplicationExeName: PChar; const Bitmap: LongInt; const ResAuthor, ResLicence: PResourceParameter);
{$ENDIF}

implementation

{$IFNDEF ABOUTDLL}
procedure OpenAbout; external 'about.dll' name 'OpenAbout';
procedure OpenChildAbout; external 'about.dll' name 'OpenChildAbout';
procedure OpenSysInfo; external 'about.dll' name 'OpenSysInfo';
procedure OpenLicenceInfo; external 'about.dll' name 'OpenLicenceInfo';
procedure OpenAbout2; external 'about.dll' name 'OpenAbout2';
{$ENDIF}

end.
