unit BrowseDrIntf;

interface

uses {$IFDEF VER150} DesignIntf, DesignEditors {$ELSE} DsgnIntf {$ENDIF} ;

type
  TBrowseDialogEditor = class(TDefaultEditor)
  public
    procedure ExecuteVerb(Index : Integer); override;
    function GetVerb(Index : Integer): string; override;
    function GetVerbCount : Integer; override;
    procedure Edit; override;
  end;

implementation

uses SysUtils, BrowseDr, Dialogs;

procedure TBrowseDialogEditor.ExecuteVerb(Index: Integer);
begin
  if(Index <> 0)then Exit;
  Edit;
end;

function TBrowseDialogEditor.GetVerb(Index: Integer): AnsiString;
begin
  Result := 'Test Dialog';
end;

function TBrowseDialogEditor.GetVerbCount: Integer;
begin
  Result := 1;
end;

procedure TBrowseDialogEditor.Edit;
begin
  with(TBrowseDirectoryDlg(Component)) do begin
    if(Execute) then
      MessageDlg(
        Format('Item selected:'#13#13'%s', [Selection]),
        mtInformation,
        [mbOk],
        0
      );
  end;
end;

end.
